<?php

namespace ICD\Hosting;

if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

if ( ! class_exists( 'ICD_Hosting_Query' ) ) :

	/**
	 * Handle URL parameters
	 *
	 * Class ICD_Hosting_Query
	 */
	class ICD_Hosting_Query {

		/**
		 * ICD_Hosting_Query constructor.
		 */
		public function __construct() {
			add_filter( 'query_vars', array( $this, 'add_query_vars' ), 0 );

			add_action( 'init', array( __CLASS__, 'add_endpoint' ), 0 );
		}

		/**
		 * Add query vars for plugin pages
		 *
		 * @param $vars
		 *
		 * @return array
		 */
		public function add_query_vars( $vars ) {
			$vars[] = 'order_id';
			$vars[] = 'request_id';
			$vars[] = 'icd_hosting_payment_method';

			return $vars;
		}

		/**
		 *  Transforms a URL structure to match query vars
		 */
		public static function add_endpoint() {
			add_rewrite_rule( '^hostingorder/([^/]+)/?$',   'index.php?pagename=hostingorder&order_id=$matches[1]',     'top' );
			add_rewrite_rule( '^request/([^/]+)/?$',        'index.php?pagename=request&request_id=$matches[1]',        'top' );
			add_rewrite_rule( '^thankyou/([^/]+)/?$',       'index.php?pagename=thankyou&order_id=$matches[1]',         'top' );
			add_rewrite_rule( '^payment/([^/]+)/([^/]+)?$', 'index.php?pagename=payment&order_id=$matches[1]&icd_hosting_payment_method=$matches[2]', 'top' );
			add_rewrite_rule( '^payment/([^/]+)/?$',        'index.php?pagename=payment&order_id=$matches[1]',          'top' );
		}
	}

endif;

return new ICD_Hosting_Query();
