<?php

namespace ICD\Hosting\Shortcodes;

use ICD\Hosting\ICD_Hosting;
use ICD\Hosting\Services\AppException;

class ICD_Hosting_Shortcode_Thankyou {

	/**
	 * Output Thank you page
	 *
	 */
	public static function output() {
		global $wp;
		$order_id = empty( $wp->query_vars['order_id'] ) ? '' : $wp->query_vars['order_id'];

		try {
			$order             = ICD_Hosting::instance()->order_service->getOrderDetails( $order_id );
			$viewdata['order'] = ICD_Hosting::instance()->order_service->formatOrder( $order );

			icd_hosting_get_template( 'thankyou', $viewdata );
		} catch ( AppException $e ) {
			if ( ! is_admin() ) {
				icd_hosting_display_error( $e );
			}
		} catch ( \Exception $e ) {
			icd_hosting_display_error( 'error.failed_to_retrieve_order_data' );
		}
	}
}
