<?php
if ( $extra_attributes ) {
	if ( ! $prefix ) {
		$prefix = 'extra_attributes';
	}
	if ( ! strlen( $idx ) ) {
		$idx = substr( sha1( uniqid( time() . mt_rand(), true ) ), 0, 8 );;
	}

	$idx    = esc_attr( $idx );
	$prefix = esc_attr( $prefix );
	?>
	<div class="extra-attributes-domain" id="extra-attributes-domain-<?php echo $idx ?>">
		<?php foreach ( $extra_attributes as $key => $item ) {
			$key = esc_attr( $key );

			if ( $item['type'] == 'hidden' ) { ?>
				<input type="hidden" name="<?php echo $prefix ?>[<?php echo $key ?>]"
					   value="<?php echo esc_attr( $item['value'] ) ?>" <?php if ( $item['required'] ) { ?> data-ext-required="<?php echo esc_attr( $item['required'] ) ?>"<?php } ?>>
				<?php continue;
			}
			$label = icd_hosting_tr_empty( "extra_attributes." . $key . "_label", esc_attr( $item['label'] ) ); ?>
			<div class="form-group">
				<label class="col-md-3 text-right control-label" for="<?php echo $key . '-' . $idx ?>">
					<?php echo esc_html( $label ) ?>:
					<?php if ( $item['required'] == 1 or $item['required'] == 2 ) { ?>
						<span class="mandatory">*</span>
					<?php } ?>
					<? if ( icd_hosting_tr_has( "extra_attributes." . $key . "_help_title" ) and icd_hosting_tr_has( "extra_attributes." . $key . "_help_info" ) ) { ?>
						<a href="#" data-toggle="modal" data-target="#<?php echo $key ?>-modal-<?php echo $idx ?>"
						   class="label label-primary">?</a>
					<? } ?>

					<!--{* Help messages *}-->
					<? if ( icd_hosting_tr_has( "extra_attributes.help_msg." . $key ) ) {
						foreach ( icd_hosting_tr( "extra_attributes.help_msg." . $key ) as $k => $v ) { ?>
							<div class="ea-help-msg-<?php echo $key . '-' . $k ?> small text-muted pl-5 ea-help-msg"><?php echo esc_html( $v ) ?></div>
						<? }
					} ?>
				</label>

				<div class="col-md-6">
					<? if ( $item['type'] == 'select' ) { ?>
						<span class="selectwrap">
						<select id="<?php echo $key . '-' . $idx ?>" name="<?php echo $prefix ?>[<?php echo $key ?>]"
								class="form-control extra-attributes-select extra-attributes-<?php echo $key ?>"
								data-placeholder="<?php echo $label ?>"
								data-placeholder="<?php
								if ( ! empty( $item['placeholder'] ) ) {
									if ( icd_hosting_tr_has( "domains.extra_attributes.{$key}_placeholder"  ) ) {
										echo icd_hosting_tr( "domains.extra_attributes.{$key}_placeholder" );
									} else {
										echo esc_attr( $item['placeholder'] );
									}
								} else {
									echo $label;
								} ?>"
								data-theme="bootstrap"<? if ( $item['required'] ) { ?> data-ext-required="<?php echo $item['required'] ?>" <? } ?>
								data-field="domain_extra_attributes_<?php echo $key ?>_<?php echo $idx ?>">
							<option value=""></option>

							<? if ( isset( $item['select_type'] ) and $item['select_type'] == 'country' ) { ?>
								<option value="">-- <?php echo icd_hosting_tr( 'contacts.country' ) ?> --</option>
								<? foreach ( $countries as $iso => $country ) { ?>
									<option
											value="<?php echo $iso ?>"<? if ( $iso == $data[ $key ] ) { ?> selected="selected"<? } ?>>
								<?php echo esc_html( $country['country'] ) ?>
								</option>
								<? } ?>
							<? } else {
								foreach ( $item['options'] as $k => $v ) { ?>
									<option value="<?php echo esc_attr( $k ) ?>"
										<? if ( isset( $data[ $key ] ) && $data[ $key ] == $k ) { ?> selected <? } ?>
										<? if ( ! empty( $v['help_msg'] ) ) { ?> data-ext-help-msg="<?php echo esc_attr( $v['help_msg'] ) ?>"<? } ?>
										<? if ( ! empty( $v['requires'] ) ) { ?> data-ext-requires="<?php if ( is_array( $v['requires'] ) ) {
											echo esc_attr( implode( ',', $v['requires'] ) );
										} else {
											echo esc_attr( $v['requires'] );
										} ?>"<? } ?>
										<? if ( ! empty( $v['hide'] ) ) { ?> data-ext-hide="<?php echo $v['hide'] ?>"<? } ?>>
												<?php echo icd_hosting_tr_empty( "extra_attributes.$key.$k", esc_attr( $v['label'] ) ) ?></option>
								<? } ?>
							<? } ?>
						</select>
					</span>

						<!-- Static help messages -->
						<?php if ( icd_hosting_tr_has( "extra_attributes.static_help_msg." . $key ) ) { ?>
						<div class="ea-static-help-msg-<?php echo $key ?> ea-static-help-msg small text-muted pt-5 pb-5"><?php echo icd_hosting_tr("extra_attributes.static_help_msg." . $key); ?></div>
						<?php } ?>

						<label for="<?php echo $key ?>-<?php echo $idx ?>"
							   id="<?php echo $key ?>-error-<?php echo $idx ?>"
							   class="error hide <?php echo $key ?>-error"></label>
					<? } elseif ( $item['type'] == 'checkbox' ) { ?>
						<div class="checkbox">
							<? foreach ( $item['options'] as $k => $v ) { ?>
								<label>
									<input id="<?php echo $key . '-' . $idx ?>" type="checkbox"
										   name="<?php echo $prefix ?>[<?php echo $key ?>]"
										   value="<?php echo $k ?>" class="extra-attributes-<?php echo $key ?>"
										<? if ( isset( $data[ $key ] ) && $data[ $key ] == $k ) { ?> checked <? } ?>
										<? if ( $item['required'] ) { ?> data-ext-required="<?php echo esc_attr( $item['required'] ) ?>"<? } ?>
										<? if ( ! empty( $v['requires'] ) ) { ?> data-ext-requires="<?php if ( is_array( $v['requires'] ) ) {
											echo esc_attr( implode( ',', $v['requires'] ) );
										} else {
											echo esc_attr( $v['requires'] );
										} ?>"<? } ?>
										   data-field="domain_extra_attributes_<?php echo $key ?>_<?php echo $idx ?>">

									<?php echo icd_hosting_tr_empty( "extra_attributes.$key.$k", $v['label'] ) ?>
								</label>
							<? } ?>
						</div>

						<!-- Static help messages -->
						<?php if ( icd_hosting_tr_has( "extra_attributes.static_help_msg." . $key ) ) { ?>
							<div class="ea-static-help-msg-<?php echo $key ?> ea-static-help-msg small text-muted pt-5 pb-5"><?php echo icd_hosting_tr( "extra_attributes.static_help_msg." . $key ); ?></div>
						<?php } ?>

						<br><label for="<?php echo $key ?>-<?php echo $idx ?>"
								   id="<?php echo $key ?>-error-<?php echo $idx ?>"
								   class="error hide <?php echo $key ?>-error"></label>
					<? } elseif ( $item['type'] == 'text' ) { ?>
						<input id="<?php echo $key ?>_<?php echo $idx ?>" type="text"
							   name="<?php echo $prefix ?>[<?php echo $key ?>]"
							   value="<?php echo esc_attr( $data[ $key ] ) ?>"
							   maxlength="255" placeholder="<?php
								if ( ! empty( $item['placeholder'] ) ) {
									if ( icd_hosting_tr_has( "domains.extra_attributes." . $key . "_placeholder" ) ) {
										echo icd_hosting_tr( "domains.extra_attributes." . $key . "_placeholder" );
									} else {
										echo esc_attr( $item['placeholder'] );
									}
								} else {
									echo $label;
								}?>"
							   class="form-control extra-attributes-<?php echo $key ?>"
							<? if ( ! empty( $item['required'] ) ) { ?> data-ext-required="<?php echo esc_attr( $item['required'] ) ?>"<? } ?>
							<? if ( ! empty( $item['requires'] ) ) { ?> data-ext-requires="<?php if ( is_array( $v['requires'] ) ) {
								echo esc_attr( implode( ',', $v['requires'] ) );
							} else {
								echo esc_attr( $v['requires'] );
							} ?>"<? } ?>
							   data-field="domain_extra_attributes_<?php echo $key ?>_<?php echo $idx ?>">

						<!-- Static help messages -->
						<?php if ( icd_hosting_tr_has( "extra_attributes.static_help_msg." . $key ) ) { ?>
							<div class="ea-static-help-msg-<?php echo $key ?> ea-static-help-msg small text-muted pt-5 pb-5"><?php echo icd_hosting_tr( "extra_attributes.static_help_msg." . $key ); ?></div>
						<?php } ?>

						<label for="<?php echo $key . '-' . $idx ?>" id="<?php echo $key ?>-error-<?php echo $idx ?>"
							   class="error hide <?php echo $key ?>-error"></label>
					<? } ?>
				</div>
			</div>

			<? if ( icd_hosting_tr_has( "extra_attributes.{$key}_help_title" ) and icd_hosting_tr_has( "extra_attributes.{$key}_help_info" ) ) { ?>
				<div class="modal fade" id="<?php echo $key ?>-modal-<?php echo $idx ?>" tabindex="-1" role="dialog"
					 data-backdrop="static">
					<div class="modal-dialog">
						<div class="modal-content">
							<div class="modal-header popover-title">
								<h4 class="modal-title"
									id="<?php echo $key ?>-info-label-<?php echo $idx ?>"><?php echo icd_hosting_tr( "extra_attributes." . $key . "_help_title" ) ?></h4>
							</div>

							<div class="modal-body">
								<?php echo icd_hosting_tr( "extra_attributes." . $key . "_help_info" ) ?>
							</div>

							<div class="modal-footer">
								<button type="button" class="btn btn-info" data-dismiss="modal"><i
											class="glyphicon glyphicon-remove"></i> <?php echo icd_hosting_tr( 'btns.close' ) ?>
								</button>
							</div>
						</div>
					</div>
				</div>
			<? } ?>
		<? } ?>
	</div>
<? } ?>






