<?php

function show_plan_info( $plan, $plan_name, $dc, $dc_name, $price, $resources, $currency = '', $custom = false ) { ?>
	<div class="card shadow-sm ml-10 mb-10 pr-0 pl-0" style="float: left;">
		<div class="card-header">
			<h4 class="font-weight-normal">
				<?php echo esc_html( $plan_name ) ?>
				<img alt="<?php echo esc_html( $dc_name ) ?> "
					 src="<?php echo \ICD\Hosting\ICD_Hosting()->plugin_url() . '/assets/img/' . esc_html( $dc ) . '.png ' ?>">
			</h4>
		</div>
		<div class="card-body">
			<h3 class="card-title pricing-card-title">
				<span class="p-price"> <?php echo ( ( $currency == 'USD' ) ? '$' : $currency . ' ' ) . number_format( $price[1]['price'], 2 ) ?> </span>
				<span class="p-duration small">/ <?php echo esc_html( $price[1]['period_label'] ) ?></span>
			</h3>

			<ul class="list-unstyled mt-3 mb-4 ml-0">
				<?php
				$resource_count = 0;
				foreach ( $resources as $resource ) {
					if ( $resource_count == 0 ) {
						echo '<li>';
						?>
						<a class="btn btn-lg btn-block btn-primary"
						   href="<?php echo icd_hosting_url( 'hostingorder', array(
							   'dc'   => $dc,
							   'plan' => $plan
						   ), true ) ?> " target="_self"><?php _e( 'Order', 'icd-hosting' ) ?></a>
						<?
						echo '</li>';
					}
					echo '<li>';
					echo esc_html( $resource['value'] );

					if ( $resource['unit'] != 'COUNT' ) {
						echo ' ' . esc_html( $resource['unit'] );
					}
					echo ' ' . esc_html( $resource['label'] );
					echo '</li>';
					$resource_count ++;
				}
				?>
			</ul>
		</div>
	</div>
	<?php
}

$customCss = '<link href="' . \ICD\Hosting\ICD_Hosting()->plugin_url() . '/assets/css/custom.css' . '" rel="stylesheet"> ';

echo $customCss;
?>